NG_FEC(4)

NAME
ng_fec - netgraph Fast EtherChannel node

SYNOPSIS
#include <netgraph/ng_fec.h>

DESCRIPTION
The fec node implements Ethernet port trunking using the “Cisco Fast EtherChannel” protocol. Upon creation, a fec node creates a network interface associated with it. Interfaces are named “fec0”, “fec1”, etc. New nodes take the first available unit.

HOOKS
The fec node accepts any hooks. However it does not use them. Under normal operation, a fec node should not have any hooks.

CONTROL MESSAGES
Interface membership in the FEC group is configured with the following control messages:

NGM_FEC_ADD_IFACE (“add_iface”)
    Attach interface to the FEC group. The target interface name is passed as a string argument.

NGM_FEC_DEL_IFACE (“del_iface”)
    Remove interface from the trunk. The target interface name is passed as a string argument.

The following control messages define the forwarding method for a node:

NGM_FEC_SET_MODE_MAC (“set_mode_mac”)
    Forwarding decisions will be based on the link-layer MAC address of the destination.

NGM_FEC_SET_MODE_INET (“set_mode_inet”)
    Forwarding decisions will be based on the IP address of the destination.

SHUTDOWN
This node shuts down upon receipt of a NGM_SHUTDOWN control message.

EXAMPLES
The following example script creates an fec node, attaches four Ethernet interfaces to it and sets the forwarding method to be IP-address based:

    /usr/sbin/ngctl -f- << SEQ
    	mkpeer fec dummy fec
    	msg fec0: add_iface "dc0"
    	msg fec0: add_iface "dc1"
    	msg fec0: add_iface "dc2"
    	msg fec0: add_iface "dc3"
    	msg fec0: set_mode_inet
    SEQ

SEE ALSO
netgraph(4)

HISTORY
The fec node type was implemented in FreeBSD 5.0.

AUTHORS
-nosplit The fec node was written by Bill Paul <wpaul@FreeBSD.org>. This manual page was written by Gleb Smirnoff <glebius@FreeBSD.org>.